LOG(3)

NAME
log, logf, logl, log10, log10f, log2, log2f, log1p, log1pf - logarithm functions

LIBRARY
libm

SYNOPSIS
#include <math.h>
double
log(double x);
float
logf(float x);
double
log10(double x);
float
log10f(float x);
double
log2(double x);
float
log2f(float x);
double
log1p(double x);
float
log1pf(float x);

DESCRIPTION
The log() and logf() functions compute the natural logarithm of x.

The log10() and log10f() functions compute the logarithm base 10 of x, while log2() and log2f() compute the logarithm base 2 of x.

The log1p() and log1pf() functions compute the natural logarithm of 1 + x. Computing the natural logarithm as log1p(x) is more accurate than computing it as log(1 + x) when x is close to zero.

RETURN VALUES
These functions return the requested logarithm; the logarithm of 1 is +0. An attempt to take the logarithm of 0 results in a divide-by-zero exception, and - is returned. Otherwise, attempting to take the logarithm of a negative number results in an invalid exception and a return value of .

SEE ALSO
exp(3), ilogb(3), math(3), pow(3)

STANDARDS
The log(), logf(), log10(), log10f(), log2(), log2f(), log1p(), and log1pf() functions conform to isoC-99.